import { useLingui } from "@lingui/react/macro";
import { useServerMutation } from "@/lib/tanstack-query/hooks/use-server-mutation";
import { confirmTeamAssignments } from "../server";

export default function useConfirmTeamAssignments() {
  const { t } = useLingui();

  return useServerMutation({
    mutationFn: confirmTeamAssignments,
    successMessage: t`Teams created successfully!`,
  });
}
